package model

import (
	"time"
)

type OrderGoodsDoingFlow struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Num        int       `json:"num" xorm:"default 0 comment('购买数量') INT(11)"`
	State      int       `json:"state" xorm:"default 0 comment('状态 1开始制作 2制作完成烘焙开始 3烘焙完成分拣开始 4已完成 ') INT(11)"`
	SuccessNum int       `json:"success_num" xorm:"comment('完成数量') INT(11)"`
	Memo       string    `json:"memo" xorm:"comment('制作完成备注') VARCHAR(255)"`
	Time       time.Time `json:"time" xorm:"DATETIME"`
	RecordId   int       `json:"record_id" xorm:"default 0 comment('order_goods_doing 的id') INT(11)"`
	AdminId    int       `json:"admin_id" xorm:"default 0 comment('admin 的id') INT(11)"`
}
